@import './colors.css';
@import './fonts.css';

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background-color: var(--color-bg-main);
    max-width: 1400px;
}

/*carousel*/
.slider-box{
    height: auto;
    overflow: hidden;
    background: var(--color-bg-main);
}

.slider-box ul{
    display: flex;
    padding: 0;
    margin: 0;
    width: 100%;
    animation: slide 15s infinite alternate ease-in-out;
}

.slider-box li{
    width: 100%;
    list-style: none;
    position: relative;
}

.carousel-text{
    position: absolute;
    text-align: center;
    top: 250px;
    left: 50%;
    transform: translate(-50%, -50%);
    color: white;
}

.carousel-text h2{
    font-size: 45px;
    margin-bottom: 35px;
}

.carousel-img{
    width: 1400px;
    height: 600px;
}

/*featured product*/
.featured{
    background: var(--color-bg-main);
    height: 320px;
    text-align: center;
    padding-top: 1rem;
}

.grid-mode {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.carousel-wrapper{
    justify-self: center;
    overflow: hidden;
    width: 100%;
    height: 270px;
}

.carousel-track{
    display: flex;
    gap: 5px;
    transition: transform 0.6s ease;
}

.product-card{
    flex: 0 0 calc((100% - 15px) / 4);
    height: 250px;
    border-radius: 20px;
}

.product-card a{
    text-decoration: none;
    color: black;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 100%;
}

.product-card div{
    width: 100%;
    height: 65%;
}

.product-card div > img{
    width: 100%;
    height: 100%;
    border-radius: 20px 20px 0 0;
    object-fit: fill;
}

/*categories*/
.categories{
    background-color: var(--color-bg-main);
    text-align: center;
    width: 100%;
    padding-top: 1rem;
    padding-bottom: 0.5rem;
}

.categories ul{
    padding-top: 1.2rem;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 1em;
    padding-left: 10px;
    padding-right: 10px;
}

.categories li{
    height: 300px;
    list-style: none;
    cursor: pointer;
    overflow: hidden;
    position: relative;
    box-shadow:  0 10px 20px rgba(0, 0, 0, 0.1);
    transition: transform 0.5s cubic-bezier(0.25, 0.8, 0.25, 1);
}

.categories li:nth-child(1) .category-background{
    background-image: url(../assets/categories/category_sala.jpg);
}

.categories li:nth-child(2) .category-background{
    background-image: url(../assets/categories/category_comedor.jpg);
}

.categories li:nth-child(3) .category-background{
    background-image: url(../assets/categories/category_silla.jpg);
}

.categories li:nth-child(4) .category-background{
    background-image: url(../assets/categories/category_recamara.jpg);
}

.categories li:nth-child(5) .category-background{
    background-image: url(../assets/categories/category_cocina.jpg);
}

.categories li:nth-child(6) .category-background{
    background-image: url(../assets/categories/category_oficina.jpg);
}

.category-link{
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.category-background{
    top: 0;
    left: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover;
    transition: all 0.6s ease;
    background-position: center;
    
}

.category-link h2{
    left: 0;
    bottom: 0;
    opacity: 0;
    z-index: 2;
    width: 100%;
    padding: 10px;
    color: black;
    position: absolute;
    transition: all 0.5s ease;
    transform: translateY(100px);
    background: linear-gradient(to top, var(--color-hover-main), transparent);
}

/*visit*/
.visit{
    padding-top: 1rem;
    background-color: var(--color-bg-secondary);
    width: 100%;
    height: 400px;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
}

.visit-info{
    display: grid;
    padding-top: 1.5rem;
    grid-template-columns: repeat(2, 1fr);
    height: 100%;
}

.visit-text{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1em;
    margin-left: 10px;
    width: 550px;
    height: 300px;
    background-color: var(--color-bg-visit-info);
    border-radius: 30px;
    padding: 10px;
}

.visit-map-container{
    width: 100%;
    height: auto;
    justify-content: center;
    align-items: center;
}

.visit-map{
    width: 400px;
    height: 300px;
    border: 0;
    border-radius: 10px;
}



@keyframes slide {
    0%   { margin-left: 0; }
    30%  { margin-left: 0; }

    35%  { margin-left: -100%; }
    65%  { margin-left: -100%; }

    70%  { margin-left: -200%; }
    100% { margin-left: -200%; }
}



/*Hover efects*/
@media(min-width: 1080px){
    /*featured*/
    .product-card a:hover{
    box-shadow: rgb(38, 57, 77) 0px 10px 15px -10px;
    background-color: var(--color-hover-main);
    border-radius: 20px;
    }

    /*categories*/
    .categories li:hover{
    transform: translateY(-10px);
    box-shadow: 0 15px 30px rgba(0,0,0,0.15);
    }

    .categories li:hover > .category-link h2{
    opacity: 1;
    transform: translateY(0);
    }
}

/*Responsive*/
@media (max-width: 787px){
    .subcategory{
        min-width: 110px;
    }
}

/*Responsive mobile*/
@media (max-width: 500px){
    /*carousel mobile*/
    .slider-box{
        max-width: 100%;
    }

    .slider-box li{
        width: 100%;
        flex-shrink: 0;
    }

    .carousel-img{
        width: 100%;
        height: 280px;
        object-fit: cover;
    }

    .carousel-text{
        top: 50%;
        padding: 0 15px;
        width: 100%;
        background: rgba(0, 0, 0, 0.5);
        border-radius: 8px;
    }

    .carousel-text h2{
        font-size: 30px;
        margin-bottom: 15px;
    }

    .carousel-text p{
        font-size: 16px;
        line-height: 1.4;
    }
    
    /*featured product mobile*/
    .featured{
        height: auto;
    }
    .featured h2{
        font-size: 30px;
    }

    .products{
        flex-direction: column;
    }

    .products li{
        width: 100%;
    }

    .products li:active {
        box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
        background-color: var(--color-hover-main);
        border-radius: 8px;
    }

    .category-link h2{
        opacity: 1;
        transform: translateY(0);
    }

    .products p:nth-child(2){
        font-size: 20px;
    }

    .products p:nth-child(3){
        display: none;
    }

    /*categories mobile*/
    .categories{
        padding-left: 10px;
        padding-right: 10px;
    }

    .categories h2{
        font-size: 30px;
    }

    .categories ul{
        grid-template-columns: repeat(2, 1fr);
    }

    .categories li{
        height: 200px;
    }

    /*visit mobile*/
    .visit{
        max-width: 100%;
        height: auto;
        padding-bottom: 0.5rem;
    }

    .visit-info{
        grid-template-columns: repeat(1, 1fr);
        gap: 1em;
    }

    .visit-text{
        width: 95%;
        height: auto;
        border-radius: 10px;
        padding-top: 1.5rem;
        padding-bottom: 1rem;
    }

    .visit-map{
        width: 90%;
    }

}